<?php

global $all_vars, $index;

$postnuke_theme = true;

//Include theme specific files for config, command definition, parsing and functions
include(dirname(__FILE__)."/theme.cfg");

//$thename no longer needed in theme.cfg, automatically assigned based on directory name
$thename = basename(dirname(__FILE__));
themes_get_language();

include(dirname(__FILE__)."/includes/commands.inc.php");
include(dirname(__FILE__)."/includes/autotheme.inc.php");



//Tables that modules and others call so as to keep consistent with the theme
function OpenTable()
{
    global $bgcolor1, $bgcolor2;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable()
{
    echo "</td></tr></table></td></tr></table>\n";
}

function OpenTable2()
{
    global $bgcolor1, $bgcolor2;
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\" align=\"center\"><tr><td>\n";
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable2()
{
    echo "</td></tr></table></td></tr></table>\n";
}

//This is the theme header - the layout that is rendered before the modules
function themeheader()
{
    global $all_vars;
    extract($all_vars);

    display_parts($hparts, $hcommands);
}

//This is the theme footer - the layout that is rendered after the modules
function themefooter()
{
    global $all_vars;
    extract($all_vars);
    display_parts($fparts, $fcommands);
}

//This displays the article summary on the main page
function themeindex ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    $all_vars = get_defined_vars();
    display_parts($iparts, $icommands);
}

//This displays the full article when read more... is clicked in the article summary
function themearticle ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    $all_vars = get_defined_vars();
    display_parts($aparts, $acommands);
}

//These are the side blocks
function themesidebox($block)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);

	if (empty($block[position])) {
        $block[position] = 'a';
	}
	
	switch($block[position]) {
        case 'l':
        $bparts = $lparts;
        $bcommands = $lcommands;
        break;

        case 'r':
        $bparts = $rparts;
        $bcommands = $rcommands;
        break;
        
        case 'c':
        $bparts = $cparts;
        $bcommands = $ccommands;
        break;
        
        case '1':
        $bparts = $a1parts;
        $bcommands = $a1commands;
        break;

        case '2':
        $bparts = $a2parts;
        $bcommands = $a2commands;
        break;

        case '3':
        $bparts = $a3parts;
        $bcommands = $a3commands;
        break;
        
        case '4':
        $bparts = $a4parts;
        $bcommands = $a4commands;
        break;

        case '5':
        $bparts = $a5parts;
        $bcommands = $a5commands;
        break;

        case '6':
        $bparts = $a6parts;
        $bcommands = $a6commands;
        break;

        case '7':
        $bparts = $a7parts;
        $bcommands = $a7commands;
        break;

        case '8':
        $bparts = $a8parts;
        $bcommands = $a8commands;
        break;

        case '9':
        $bparts = $a9parts;
        $bcommands = $a9commands;
        break;

        case 'top':
        $bparts = $tpparts;
        $bcommands = $tpcommands;
        break;
        
        case 'bottom':
        $bparts = $btparts;
        $bcommands = $btcommands;
        break;
    }

    //WILL REMOVE IN NEXT BETA
    //NOW USING CUSTOM BLOCK TEMPLATE DEFINITIONS IN theme.cfg
    //Customize blocks
    $title = strip_tags($block[title], "");
    $title = strtolower(preg_replace("^\W|_^", "", $title));
    //$title = strtolower(preg_replace("^\W|_^", "", $block[title]));

    //Use custom template for specific block if available
    if (file_exists("$themepath"."$title.html")) {
        $tmpblock = file_get_contents("$themepath"."$title.html");
        $bparts = make_parts($tmpblock);
        list ($bparts, $bcommands) = find_commands($bparts, $cmds);
    }
    elseif (file_exists("$themepath"."$title.htm")) {
        $tmpblock = file_get_contents("$themepath"."$title.htm");
        $bparts = make_parts($tmpblock);
        list ($bparts, $bcommands) = find_commands($bparts, $cmds);
    }
    elseif (file_exists("$themepath"."$title.php")) {
        $tmpblock = file_get_contents("$themepath"."$title.php");
        $bparts = make_parts($tmpblock);
        list ($bparts, $bcommands) = find_commands($bparts, $cmds);
    }

    //Use custom image for specific block title if available
    elseif (file_exists("$imgpath"."$title.gif")) {
        $block[title] = "<img src=\"$imgpath"."/$title.gif\">";
	}
    elseif (file_exists("$imgpath"."$title.jpg")) {
        $block[title] = "<img src=\"$imgpath"."/$title.jpg\">";
	}
    elseif (file_exists("$imgpath"."$title.png")) {
	    $block[title] = "<img src=\"$imgpath"."/$title.png\">";
	}

    //NEW WAY FROM theme.cfg
    //Define custom block templates
    $title = trim(strip_tags($block[title], ""));

    $i = 0;
    while($i != count($blks)) {
        if($blks[$i] == $title) {
            if ($blk_file[$i] && file_exists($themepath.$blk_file[$i])) {
                $tmpblock = file_get_contents($themepath.$blk_file[$i]);
                $bparts = make_parts($tmpblock);
                list ($bparts, $bcommands) = find_commands($bparts, $cmds);
            }
        }
        $i++;
    }

    //Echo parts and execute commands
    if($bparts) {
        $all_vars = get_defined_vars();
        display_parts($bparts, $bcommands);
    }
}

?>
